Skip to main content
POST
Create a workspace context

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow with PKCE (S256). Discovery: https://api.guild.ai/.well-known/oauth-authorization-server.

Path Parameters

workspace_id_or_name
string
required

Body

application/json
status
enum<string>
required

PUBLISHED to use it now, DRAFT to save it for review

Available options:
DRAFT,
PUBLISHED
context
string
required

The instructions, in Markdown

summary
string | null

What changed

Response

Successful response

id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
generated_context
string

A blob of text, akin to a workspace.md file, that can be passed to an LLM to provide context on this workspace. This portion of the context is only editable by Guild systems.

Maximum string length: 262144
manual_context
string

A blob of text, akin to a workspace.md file, that can be passed to an LLM to provide context on this workspace. This portion of the context is editable by users and agents.

Maximum string length: 262144
status
enum<string>
Available options:
DRAFT,
PUBLISHED
task_id
string<uuid>

This field references the guild task that was used to create this context.

workspace_id
string<uuid>
published_by_id
string<uuid> | null

If this context is published, this field references the user who published it, if applicable. If the context is still in draft, this field is null.

summary
string | null

A short summary of the changes in this context version.

Maximum string length: 255
task
any
type
any